Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class GeneratedAdvisorCallerTransformer

    java.lang.Object
      org.jboss.aop.instrument.CallerTransformer
          org.jboss.aop.instrument.GeneratedAdvisorCallerTransformer

public class GeneratedAdvisorCallerTransformer
extends CallerTransformer

Used with the GeneratedClassAdvisor

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.CallerTransformer
`CallerTransformer.ConByConDetail, CallerTransformer.ConByMethodDetail, CallerTransformer.ConstructorDetail, CallerTransformer.MethodDetail`

Field Summary

Fields inherited from class org.jboss.aop.instrument.CallerTransformer
`CON_BY_CON_INFO_CLASS_NAME, CON_BY_METHOD_INFO_CLASS_NAME, METHOD_BY_CON_INFO_CLASS_NAME, METHOD_BY_METHOD_INFO_CLASS_NAME`

Constructor Summary
`GeneratedAdvisorCallerTransformer(Instrumentor instrumentor, AspectManager manager)`

Method Summary
`protected org.jboss.aop.instrument.CallerTransformer.CallerExprEditor` | `callerExprEditorFactory(ClassAdvisor advisor, javassist.CtClass clazz)`

Methods inherited from class org.jboss.aop.instrument.CallerTransformer
`applyCallerPointcuts, conByConInfoFromWeakReference, conByMethodInfoFromWeakReference, getConByConInfoName, getConByMethodInfoName, getMethodByConInfoName, getMethodByMethodInfoName, getUniqueInvocationFieldname, methodByConInfoFromWeakReference, methodByMethodInfoFromWeakReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratedAdvisorCallerTransformer

    public GeneratedAdvisorCallerTransformer(Instrumentor instrumentor,
                                             AspectManager manager)

Method Detail

### callerExprEditorFactory

    protected org.jboss.aop.instrument.CallerTransformer.CallerExprEditor callerExprEditorFactory(ClassAdvisor advisor,
                                                                                                  javassist.CtClass clazz)

  Specified by:
    `callerExprEditorFactory` in class `CallerTransformer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.